#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 record-dot-preprocessor
version:              0.2.10
visibility:           public
id:                   record-dot-preprocessor-0.2.10-7SXNOgYJqXfHtv2Sps3BC4
key:                  record-dot-preprocessor-0.2.10-7SXNOgYJqXfHtv2Sps3BC4
license:              BSD-3-Clause
copyright:            Neil Mitchell 2018-2021
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:
    https://github.com/ndmitchell/record-dot-preprocessor#readme

synopsis:             Preprocessor to allow record.field syntax
description:
    In almost every programming language @a.b@ will get the @b@ field from the @a@ data type, and many different data types can have a @b@ field.
    The reason this feature is ubiquitous is because it'\''s /useful/.
    The @record-dot-preprocessor@ brings this feature to Haskell - see the README for full details.

category:             Development
abi:                  300e8f807435bb158cbefea3ce6c95aa
exposed:              True
exposed-modules:      RecordDotPreprocessor
hidden-modules:       Compat
import-dirs:
    /usr/lib/ghc-8.10.4/site-local/record-dot-preprocessor-0.2.10

library-dirs:
    /usr/lib/ghc-8.10.4/site-local/record-dot-preprocessor-0.2.10

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.4/record-dot-preprocessor-0.2.10

hs-libraries:         HSrecord-dot-preprocessor-0.2.10-7SXNOgYJqXfHtv2Sps3BC4
depends:
    base-4.14.1.0 extra-1.7.9-DvWXGTdIEPlIawSvT2aVoi ghc-8.10.4
    uniplate-1.6.13-AK5AMFi56urHs1ku8EX09Z

haddock-interfaces:
    /usr/share/doc/haskell-record-dot-preprocessor/html/record-dot-preprocessor.haddock

haddock-html:         /usr/share/doc/haskell-record-dot-preprocessor/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

